pat_trie_base.hpp File Reference

Go to the source code of this file.

## Classes

struct | __gnu_pbds::detail::pat_trie_base
class | __gnu_pbds::detail::pat_trie_base::_CIter< Node, Leaf, Head, Inode, Is_Forward_Iterator >
struct | __gnu_pbds::detail::pat_trie_base::_Head< _ATraits, Metadata >
struct | __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >
struct | __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator
struct | __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator
class | __gnu_pbds::detail::pat_trie_base::_Iter< Node, Leaf, Head, Inode, Is_Forward_Iterator >
struct | __gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata >
struct | __gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc >
struct | __gnu_pbds::detail::pat_trie_base::_Metadata< null_type, _Alloc >
struct | __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >
class | __gnu_pbds::detail::pat_trie_base::_Node_citer< Node, Leaf, Head, Inode, _CIterator, Iterator, _Alloc >
class | __gnu_pbds::detail::pat_trie_base::_Node_iter< Node, Leaf, Head, Inode, _CIterator, Iterator, _Alloc >

## Namespaces

namespace | __gnu_pbds

## Macros

#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CONST_IT_C_DEC
#define | PB_DS_CONST_ODIR_IT_C_DEC
#define | PB_DS_IT_C_DEC
#define | PB_DS_ODIR_IT_C_DEC
#define | PB_DS_PAT_TRIE_NODE_CONST_ITERATOR_C_DEC
#define | PB_DS_PAT_TRIE_NODE_ITERATOR_C_DEC

## Detailed Description

Contains the base class for a patricia tree.

Definition in file pat_trie_base.hpp.